# Auto-generated file -- DO NOT EDIT!!!!!

# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

=head1 NAME

Lucy::Store::FSFolder - File System implementation of Folder.

=head1 SYNOPSIS

    my $folder = Lucy::Store::FSFolder->new(
        path   => '/path/to/folder',
    );



=head1 DESCRIPTION

Implementation of L<Lucy::Store::Folder> using a single file system
directory and multiple files.

=head1 CONSTRUCTORS

=head2 new( I<[labeled params]> )

    my $folder = Lucy::Store::FSFolder->new(
        path   => '/path/to/folder',
    );

=over

=item *

B<path> - Location of the index. If the specified directory does
not exist already, it will NOT be created, in order to prevent
misconfigured read applications from spawning bogus files -- so it may
be necessary to create the directory yourself.

=back







=head1 INHERITANCE

Lucy::Store::FSFolder isa L<Lucy::Store::Folder> isa L<Lucy::Object::Obj>.


=cut

